import type { UmbPropertyEditorUIPickerModalData, UmbPropertyEditorUIPickerModalValue } from './property-editor-ui-picker-modal.token.js';
import { UmbModalBaseElement } from '../../modal/index.js';
export declare class UmbPropertyEditorUIPickerModalElement extends UmbModalBaseElement<UmbPropertyEditorUIPickerModalData, UmbPropertyEditorUIPickerModalValue> {
    #private;
    private _groupedPropertyEditorUIs;
    private _propertyEditorUIs;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbPropertyEditorUIPickerModalElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-property-editor-ui-picker-modal': UmbPropertyEditorUIPickerModalElement;
    }
}
